For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTAdd note to an application
      • POSTAssociate application with an interview plan stage
      • POSTCreate ATS Application
      • GETRetrieve a list of ATS applications
      • GETRetrieve ATS application
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsAts Applications

Associate application with an interview plan stage

POST
/ats/applications/:application_id/interview-plan-stages
POST
/rest/v2/ats/applications/:application_id/interview-plan-stages
$curl -X POST https://api.letsdeel.com/rest/v2/ats/applications/faac641e-a484-4875-aed5-bfcb0a0691a0/interview-plan-stages \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "creator_id": "64f20cad-0780-46b5-af85-ced82108dd27",
> "is_current_stage": true,
> "interview_plan_stage_id": "076cf197-dda0-4694-a953-d7a449fa568a"
> }
>}'
1{
2 "data": {
3 "id": "88688e3c-10dd-4917-a37c-659d0de928ed",
4 "created_at": "2025-11-14T10:30:00Z",
5 "updated_at": "2025-11-14T10:30:00Z"
6 }
7}
Associates an application with a specific interview plan stage. Set `is_current_stage` to `true` to advance the application's active stage, or `false` to record a historical stage entry without changing the current stage. Pass `applicable_job_activities` to selectively trigger activities, omit it to trigger all, or pass an empty array to trigger none; if archiving the candidate, include `candidate_archivation_reason_id` and optionally `candidate_archivation_email_template_id` to send a rejection email. **Token scopes**: `ats:write`
Was this page helpful?
Previous

Create ATS Application

Next
Built with

Associates an application with a specific interview plan stage. Set is_current_stage to true to advance the application’s active stage, or false to record a historical stage entry without changing the current stage. Pass applicable_job_activities to selectively trigger activities, omit it to trigger all, or pass an empty array to trigger none; if archiving the candidate, include candidate_archivation_reason_id and optionally candidate_archivation_email_template_id to send a rejection email. Token scopes: ats:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

application_idstringRequiredformat: "uuid"
ID of the application to be associated with the interview plan stage

Request

This endpoint expects an object.
dataobjectRequired

Response

Application interview plan stage successfully created
dataobject
The created application interview plan stage record

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication